curl --request GET \
--url 'https://api.novita.ai/openapi/v1/billing/bill/list?cycleType=Day&productCategory=llm&startTime=1764547200&endTime=1767225599' \
--header 'Authorization: Bearer <API_KEY>'
{
"bills": [
{
"userId": "<string>",
"startTime": "1764547200",
"endTime": "1764633599",
"billingMethod": 1,
"productName": "<string>",
"category": "llm",
"ownerID": "<string>",
"billNum0": "1000",
"billNum1": "500",
"basePrice0": "0",
"basePrice1": "0",
"discountPrice0": "0",
"discountPrice1": "0",
"amount": "10000",
"voucherAmount": "0",
"payAmount": "10000",
"payAmountDisplay": 1,
"pricePrecision": 1,
"productId": "<string>"
}
]
}
Basic
Query Usage-based Billing
GET
/
openapi
/
v1
/
billing
/
bill
/
list
curl --request GET \
--url 'https://api.novita.ai/openapi/v1/billing/bill/list?cycleType=Day&productCategory=llm&startTime=1764547200&endTime=1767225599' \
--header 'Authorization: Bearer <API_KEY>'
{
"bills": [
{
"userId": "<string>",
"startTime": "1764547200",
"endTime": "1764633599",
"billingMethod": 1,
"productName": "<string>",
"category": "llm",
"ownerID": "<string>",
"billNum0": "1000",
"billNum1": "500",
"basePrice0": "0",
"basePrice1": "0",
"discountPrice0": "0",
"discountPrice1": "0",
"amount": "10000",
"voucherAmount": "0",
"payAmount": "10000",
"payAmountDisplay": 1,
"pricePrecision": 1,
"productId": "<string>"
}
]
}
Request Headers
string
required
Enum:
application/jsonstring
required
Bearer authentication format, for example: Bearer {{API Key}}.
Query Parameters
string
required
Billing cycle granularity. Options:
Hour, Day, Week, Month.string
required
Product type. Common values:
summary(Summary bill)gpu(GPU instance)llm(LLM API)serverless(Serverless Endpoint)cloud_storage(Storage resources)gen_api(Image/Video/Audio generation)cloud_sandbox(Agent Sandbox)llm_dedicated_endpoint(LLM Dedicated Endpoint)web_search(Web Search)bare_metal(Bare Metal)
string
Product name. Supports fuzzy matching.
string
Product subcategory.
integer
Start time of the billing period to query, Unix timestamp in seconds (int64).
integer
End time of the billing period to query, Unix timestamp in seconds (int64).
string
Resource instance ID.
This endpoint does not support pagination. Keep each query range within 31 days. For longer ranges, split requests by calendar month or calendar week.
Response Parameters
object[]
required
Pay-as-you-go bill list.
Hide properties
Hide properties
string
required
User account ID.
string
required
Bill start time, Unix timestamp in seconds.
string
required
Bill end time, Unix timestamp in seconds.
int32
required
Billing method:
1 (pay-as-you-go), 2 (subscription).string
required
Product name.
string
required
Product type or subcategory.
string
required
Resource instance ID.
string
required
Product ID.
string
required
Usage field 0. Meaning varies by product type:
llm: input tokens.gpu: number of cards Ć billing duration.cloud_storage: storage capacity Ć billing duration.serverless: sum of worker count Ć duration.
string
required
Usage field 1. For
llm, this usually means output tokens.string
required
Usage field 2. For
llm, this usually means read cache tokens.string
required
Usage field 3. For
llm, this usually means write 5-minute cache tokens.string
required
Usage field 4. For
llm, this usually means output reasoning tokens. Currently not supported.string
required
Usage field 5. For
llm, this usually means write 1-hour cache tokens.string
Usage field 6.
string
Usage field 7.
string
Usage field 8.
string
Usage field 9.
string
Usage field 10.
string
Usage field 11.
string
Usage field 12.
string
Usage field 13.
string
Usage field 14.
string
Usage field 15.
string
required
Original price field 0.
llm: input price per 1M tokens.gpu: price per card per hour.cloud_storage: price per GB per day.
string
required
Original price field 1. For
llm, this usually means the output price per 1M tokens.string
required
Original price field 2. For
llm, this usually means the read cache price per 1M tokens.string
required
Original price field 3. For
llm, this usually means the write 5-minute cache price per 1M tokens.string
required
Original price field 4. For
llm, this usually means the reasoning token price per 1M tokens.string
required
Original price field 5. For
llm, this usually means the write 1-hour cache price per 1M tokens.string
required
Discounted price field 0.
llm: discounted input price per 1M tokens.gpu: discounted price per card per hour.cloud_storage: discounted price per GB per day.
string
required
Discounted price field 1. For
llm, this usually means the discounted output price per 1M tokens.string
required
Discounted price field 2. For
llm, this usually means the discounted read cache price per 1M tokens.string
required
Discounted price field 3. For
llm, this usually means the discounted write 5-minute cache price per 1M tokens.string
required
Discounted price field 4. For
llm, this usually means the discounted reasoning token price per 1M tokens.string
required
Discounted price field 5. For
llm, this usually means the discounted write 1-hour cache price per 1M tokens.string
required
Total amount, unit is 1/10000 USD.
string
required
Amount deducted by vouchers, unit is 1/10000 USD.
string
required
Cash payment amount, unit is 1/10000 USD.
float
required
Display value of cash payment amount, in USD.
int32
required
Price precision. Unit price (USD) = unit price / 10000 /
pricePrecision.string
LLM series.
string
Request count.
object
Multimodal model billing details.
object
Tiered billing configuration.
curl --request GET \
--url 'https://api.novita.ai/openapi/v1/billing/bill/list?cycleType=Day&productCategory=llm&startTime=1764547200&endTime=1767225599' \
--header 'Authorization: Bearer <API_KEY>'
{
"bills": [
{
"userId": "<string>",
"startTime": "1764547200",
"endTime": "1764633599",
"billingMethod": 1,
"productName": "<string>",
"category": "llm",
"ownerID": "<string>",
"billNum0": "1000",
"billNum1": "500",
"basePrice0": "0",
"basePrice1": "0",
"discountPrice0": "0",
"discountPrice1": "0",
"amount": "10000",
"voucherAmount": "0",
"payAmount": "10000",
"payAmountDisplay": 1,
"pricePrecision": 1,
"productId": "<string>"
}
]
}
Last modified on June 2, 2026